// FDM print bed levelling test
// Details on http://HOITG.de

$fn=100;

//BedLevelling();
Cylinder();

module Cylinder(){
  cylinder_d = 100;
  cylinder_h = 100;
  cylinder_wall = 0.7;
  brim_h = 0.4;
  brim_w = 6;
  
  difference(){
    cylinder(d=cylinder_d, h = cylinder_h, center=true);
    cylinder(d=cylinder_d-2*cylinder_wall, h = cylinder_h*1.1, center=true);
  }
  translate([0, 0, (brim_h-cylinder_h)/2]){
    difference(){
      cylinder(d=cylinder_d, h = brim_h, center=true);
      cylinder(d=cylinder_d-brim_w, h = brim_h*1.1, center=true);
    }
  }
}

module BedLevelling(){
  disc_d = 50;
  disc_h = 0.2;
  X = 255;
  Y = 255;
  x_no = 4;
  y_no = 4;
  edge = 6;

  X_dis = (X-edge) / x_no;
  Y_dis = (Y-edge) / y_no;

  for(j=[0:1:y_no - 1]){
    for(i=[0:1:x_no - 1]){
      translate([i*X_dis, j*Y_dis, 0]){
        cylinder(d=disc_d, h=disc_h, center=true);
      }
    }
  }
}