// Mount for Teflon tube connector on extruder of Geeetech Mizar S
$fn = 200;
M6_nut_e = 11.05 + 0.5;
M8_nut_e = 14.38+1.5;
m_w = 20;
m_l = 35;
m_wall_1 = 3;
m_wall_2 = 12;
m_edge = 18;
m_angle = 45;
m_hole_d = 11;
hole_e = 12;

m_h = m_l - m_edge + m_wall_2;


difference(){
  cube(size=[m_l, m_w, m_h], center=true);
  hull(){
    translate([(m_edge-m_l)/2-0.1, 0, m_wall_2])
    cube(size=[m_edge, m_w*1.1, m_h], center=true);
    translate([(m_l-m_edge)/2+0.1, 0, m_h-3])
    cube(size=[m_edge, m_w*1.1, m_h], center=true);
  }
  translate([hole_e-m_l/2, 0, m_wall_1-(m_h-m_wall_2)/2]){
    rotate([0,0,30])
    cylinder(d=M8_nut_e, h = m_wall_2, center=true, $fn=6);
    cylinder(d=8.5, h = m_wall_2*2, center=true);
    translate([0, 0, 4]){
      cylinder(d=m_hole_d, h = m_wall_2, center=true);
    }
  }
}
